# Uses of Class
org.globus.io.streams.GlobusOutputStream

Packages that use GlobusOutputStream
Package
Description
org.globus.io.streams
Implements the standard Java I/O streams interface for a number of different protocols, including FTP, GSIFTP, HTTP, HTTPS, and File.
org.globus.io.urlcopy
This library provides a simple API for transferring a file from one location to another.

## Uses of GlobusOutputStream in org.globus.io.streams

Subclasses of GlobusOutputStream in org.globus.io.streams
Modifier and Type
Class
Description
`class`
`FTPOutputStream`
`class`
`GassOutputStream`
`class`
`GlobusFileOutputStream`
`class`
`GridFTPOutputStream`
`class`
`HTTPOutputStream`

## Uses of GlobusOutputStream in org.globus.io.urlcopy

Methods in org.globus.io.urlcopy that return GlobusOutputStream
Modifier and Type
Method
Description
`protected GlobusOutputStream`
UrlCopy.`getOutputStream(long size)`
Returns output stream based on the destination url.